## org.eclipse.jst.jsf.metadataprocessors.features
Interface IValidationMessage

All Known Implementing Classes:
  ValidationMessage

    public interface IValidationMessage

Interface for validation messages for metadata features

Provisional API - subject to change

Method Summary
`java.lang.String` `getCode()`
`java.lang.String` `getMessage()`
`int` `getSeverity()`

Method Detail

### getMessage

    java.lang.String getMessage()

  Returns:
    localized string desribing validation issue Should not be null;

### getCode

    java.lang.String getCode()

  Returns:
    String representing a validation code associated with validation issue Can return null

### getSeverity

    int getSeverity()

  Returns:
    integer value representing severity. Valid values are 0 (IStatus.INFO), 1 (IStatus.WARNING) and 4 (IStatus.ERROR)